Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Pdu::MetaData Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Pdu::MetaData Struct Reference

PDU metadata. More...

## Public Attributes
Nameplate | nameplate
| Nameplate information
string | ctrlBoardSerial
| Main controller serial number.
string | hwRevision
| Hardware revision.
string | fwRevision
| Firmware revision.
string | macAddress
| MAC address.
boolean | hasSwitchableOutlets
| `true` if at least one outlet is switchable
boolean | hasMeteredOutlets
| `true` if at least one outlet is metered
boolean | hasLatchingOutletRelays
| `true` if at least one outlet has a latching relay
boolean | isInlineMeter
| `true` if all inlets have exactly one outlet
boolean | isEnergyPulseSupported
| `true` if the PDU has one or more LED(s) capable of emitting pulses to measure consumed energy
boolean | hasDCInlets
| `true` if at least one inlet is DC
PduOrientation | pduOrientation
| PDU orientation at boot.

## Detailed Description

PDU metadata.

Definition at line 41 of file Pdu.idl.

## Member Data Documentation

## ◆ ctrlBoardSerial

string pdumodel::Pdu::MetaData::ctrlBoardSerial

Main controller serial number.

Definition at line 43 of file Pdu.idl.

## ◆ fwRevision

string pdumodel::Pdu::MetaData::fwRevision

Firmware revision.

Definition at line 45 of file Pdu.idl.

## ◆ hasDCInlets

boolean pdumodel::Pdu::MetaData::hasDCInlets

`true` if at least one inlet is DC

Definition at line 53 of file Pdu.idl.

## ◆ hasLatchingOutletRelays

boolean pdumodel::Pdu::MetaData::hasLatchingOutletRelays

`true` if at least one outlet has a latching relay

Definition at line 49 of file Pdu.idl.

## ◆ hasMeteredOutlets

boolean pdumodel::Pdu::MetaData::hasMeteredOutlets

`true` if at least one outlet is metered

Definition at line 48 of file Pdu.idl.

## ◆ hasSwitchableOutlets

boolean pdumodel::Pdu::MetaData::hasSwitchableOutlets

`true` if at least one outlet is switchable

Definition at line 47 of file Pdu.idl.

## ◆ hwRevision

string pdumodel::Pdu::MetaData::hwRevision

Hardware revision.

Definition at line 44 of file Pdu.idl.

## ◆ isEnergyPulseSupported

boolean pdumodel::Pdu::MetaData::isEnergyPulseSupported

`true` if the PDU has one or more LED(s) capable of emitting pulses to measure consumed energy

Definition at line 51 of file Pdu.idl.

## ◆ isInlineMeter

boolean pdumodel::Pdu::MetaData::isInlineMeter

`true` if all inlets have exactly one outlet

Definition at line 50 of file Pdu.idl.

## ◆ macAddress

string pdumodel::Pdu::MetaData::macAddress

MAC address.

Definition at line 46 of file Pdu.idl.

## ◆ nameplate

Nameplate pdumodel::Pdu::MetaData::nameplate

Nameplate information

Definition at line 42 of file Pdu.idl.

## ◆ pduOrientation

PduOrientation pdumodel::Pdu::MetaData::pduOrientation

PDU orientation at boot.

Definition at line 54 of file Pdu.idl.

The documentation for this struct was generated from the following file:

- Pdu.idl